# -*- coding: utf-8 -*-
# Generated by Django 1.11.18 on 2019-05-13 18:18
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('forms', '0031_auto_20190506_1423'),
        ('branch', '0035_auto_20190504_1119'),
        ('trunk', '0070_auto_20190504_1119'),
    ]

    operations = [
        migrations.CreateModel(
            name='DataReport',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('r_id', models.UUIDField(db_index=True, default=uuid.uuid4, editable=False, unique=True)),
                ('name', models.CharField(max_length=500)),
                ('semester', models.PositiveSmallIntegerField(choices=[(0, 'All Semesters'), (1, 'Fall'), (2, 'Spring'), (3, 'Summer'), (4, 'Winter')], default=0)),
                ('year', models.PositiveIntegerField(default=None)),
                ('deadline', models.DateField(default=None, null=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('is_template', models.BooleanField(default=False)),
                ('is_archived', models.BooleanField(default=False)),
                ('admins_entered', models.ManyToManyField(related_name='completed_report', to='trunk.UniversityStaff')),
                ('admins_in_progress', models.ManyToManyField(related_name='in_progress_report', to='trunk.UniversityStaff')),
                ('form', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='report', to='forms.Form')),
                ('tags', models.ManyToManyField(to='branch.Label')),
                ('university', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='trunk.University')),
            ],
        ),
    ]
